ps_lattice_s Struct Reference

Word graph structure used in bestpath/nbest search. More...

`#include <ps_lattice_internal.h>`

## Data Fields

int | refcount
| Reference count.
logmath_t * | lmath
| Log-math object.
ps_search_t * | search
| Search (if generated by search).
dict_t * | dict
| Dictionary for this DAG.
int32 | silence
| Silence word ID.
int32 | frate
| Frame rate.
ps_latnode_t * | nodes
| List of all nodes.
ps_latnode_t * | start
| Starting node.
ps_latnode_t * | end
| Ending node.
frame_idx_t | n_frames
| Number of frames for this utterance.
int32 | n_nodes
| Number of nodes in this lattice.
int32 | final_node_ascr
| Acoustic score of implicit link exiting final node.
int32 | norm
| Normalizer for posterior probabilities.
char * | hyp_str
| Current hypothesis string.
listelem_alloc_t * | latnode_alloc
| Node allocator for this DAG.
listelem_alloc_t * | latlink_alloc
| Link allocator for this DAG.
listelem_alloc_t * | latlink_list_alloc
| List element allocator for this DAG.
latlink_list_t * | q_head
| Queue of links for traversal.
latlink_list_t * | q_tail
| Queue of links for traversal.

## Detailed Description

Word graph structure used in bestpath/nbest search.

Definition at line 61 of file ps_lattice_internal.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ps_lattice_internal.h